package com.zjty.tynotes.pas.dao;

import com.zjty.tynotes.pas.entity.UserRole;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

/**
 * @Author gwj
 * @create 2020/2/28 14:17
 */
public interface UserRoleDao extends MongoRepository<UserRole,String> {
    void deleteAllByRoleId(String roleId);

    List<UserRole> findAllByUserId(String userId);

    void deleteAllByUserId(String userId);

    List<UserRole> findAllByRoleIdIn(List<String> roleIds);

}
